<template>
	<modal name="pos-modal-document-list"
		   class="arcticmodal-container full-viewport"
		   width="600"
		   height="auto"
		   :adaptive=true
		   @before-open="beforeOpen"
		   @before-close="beforeClose">
		<div class="container m-header">
			<div
					@click="close()"
					class="box-modal_close arcticmodal-close"></div>
			<div class="row">
				<div class="column">
					<h3>Список документов</h3>
				</div>
			</div>
		</div>
		<div class="container content feedback-block">
			<div v-for="doc in docs" class="row details">
				<a @click.prevent="openDocument(doc)" href="#">
					<div class="picto"><img src="/lk/static/img/notification/docs.png" alt="">
					</div>
					{{ doc.document_name }}
				</a>
			</div>
		</div>
	</modal>
</template>

<script>
	import {mapGetters} from 'vuex';
	export default {
		name: 'component-pos-modal-document-list',
		computed: {
			docs () {
				return this.$POS.operations.filter((operation) => {
					return operation.isOperation
				}).map((operation) => {
					console.log(operation)
					return {
						document_name: 'Договор №' + operation.contract_number,
						document_number: operation.contract_number,
						id: operation.loanId

					}
				})
			},
			...mapGetters(['$POS'])
		},

		methods: {
			close () {
				this.$modal.hide('pos-modal-document-list');
			},

			openDocument (operation) {
				this.AJAX_LOADING({
					name: 'rootFixed',
					isShow: true,
					caption: 'Загрузка договора'
				});

				this.$store.dispatch('POS_GET_OPERATION_DOCUMENT', operation.id).then(() => {

				}).catch((e) => {
					this.$toastr.error('Не удалось загрузить документ', 'Ошибка сервера');
				}).finally(() => {
					this.AJAX_LOADING(false);
				});

				this.close();
			},

			beforeOpen () {
				this.$helpers.noscroll(true);
			},

			beforeClose () {
				this.$helpers.noscroll(false);
			}
		}
	};
</script>

<style scoped>

</style>
